HTTP
All operations require authentication.
List HTTP farmsProduction
Path parameters
The internal name of your IP load balancing
Query parameters
Filter the value of vrackNetworkId property (=)
Filter the value of zone property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create an HTTP farmProduction
Path parameters
The internal name of your IP load balancing
Request body (required)
Load balancing algorithm. 'roundrobin' if null
firstleastconnroundrobinsourceuriHuman readable name for your backend, this field is for you
Port attached to your farm ([1..49151]). Inherited from frontend if null
Probe used to determine if a backend is alive and can handle requests
Stickiness type. No stickiness if null
cookiesourceIpInternal Load Balancer identifier of the vRack private network to attach to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of your farm
Response
Load balancing algorithm. 'roundrobin' if null
firstleastconnroundrobinsourceuriHuman readable name for your backend, this field is for you
Id of your farm
Port attached to your farm. Inherited from frontend if null
Probe used to determine if a backend is alive and can handle requests. Defaults to tcp on the same port as the farm
Stickiness type. No stickiness if null
cookiesourceIpInternal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of you farm
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm \
-H "authorization: Bearer $OVH_TOKEN"{ "balance": "first", "displayName": "string", "farmId": 0, "port": 0, "probe": { "forceSsl": true, "interval": 0, "match": "contains", "method": "GET", "negate": true, "pattern": "string", "port": 0, "type": "http", "url": "string" }, "stickiness": "cookie", "vrackNetworkId": 0, "zone": "string"}
Get an HTTP farmProduction
Path parameters
Id of your farm
The internal name of your IP load balancing
Response
Load balancing algorithm. 'roundrobin' if null
firstleastconnroundrobinsourceuriHuman readable name for your backend, this field is for you
Id of your farm
Port attached to your farm. Inherited from frontend if null
Probe used to determine if a backend is alive and can handle requests. Defaults to tcp on the same port as the farm
Stickiness type. No stickiness if null
cookiesourceIpInternal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of you farm
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId} \
-H "authorization: Bearer $OVH_TOKEN"{ "balance": "first", "displayName": "string", "farmId": 0, "port": 0, "probe": { "forceSsl": true, "interval": 0, "match": "contains", "method": "GET", "negate": true, "pattern": "string", "port": 0, "type": "http", "url": "string" }, "stickiness": "cookie", "vrackNetworkId": 0, "zone": "string"}
Delete an HTTP farmProduction
Path parameters
Id of your farm
The internal name of your IP load balancing
Response
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId} \
-H "authorization: Bearer $OVH_TOKEN"Update an HTTP farmProduction
Path parameters
Id of your farm
The internal name of your IP load balancing
Request body (required)
Load balancing algorithm. 'roundrobin' if null
firstleastconnroundrobinsourceuriHuman readable name for your backend, this field is for you
Id of your farm
Port attached to your farm. Inherited from frontend if null
Probe used to determine if a backend is alive and can handle requests. Defaults to tcp on the same port as the farm
Stickiness type. No stickiness if null
cookiesourceIpInternal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack
Zone of you farm
Response
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId} \
-H "authorization: Bearer $OVH_TOKEN"List farm serversProduction
Path parameters
Id of your farm
The internal name of your IP load balancing
Query parameters
Filter the value of address property (=)
Filter the value of cookie property (like)
Filter the value of status property (=)
activeinactiveResponse
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId}/ server \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a farm serverProduction
Path parameters
Id of your farm
The internal name of your IP load balancing
Request body (required)
Address of your server
Set server as backup. Default: 'false'
Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)
Set the cookie value used when 'cookie' stickiness is set in the farm. Auto generate the cookie if none provided and required.
Human readable name for your server, this field is for you
Enable action when backend marked down. (No action if null)
shutdown-sessionsPort attached to your server ([1..49151]). Inherited from farm if null
Enable/disable probe. Default: 'false'
Disabled if null. Send PROXY protocol header. Requires a compatible server.
v1v2v2-sslv2-ssl-cnSSL ciphering. Probes will also be sent ciphered. Default: 'false'
Enable or disable your server
activeinactiveSet weight on that server [1..256]. 0 if not used in load balancing. 1 if left null. Servers with higher weight get more requests.
Response
Address of your server
farm id
Backup state. Default: 'false'
Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)
Server cookie value configured for cookie stickiness
Human readable name for your server, this field is for you
Set action when backend marked down. (No action if null)
shutdown-sessionsPort attached to your server. Inherited from farm if null
Probe state. Default: 'false'
Disabled if null. Send PROXY protocol header. Requires a compatible server.
v1v2v2-sslv2-ssl-cnId of your server
Server state
SSL ciphering. Probes will also be sent ciphered. Default: 'false'
Status attached to your server
activeinactiveWeight value. Defaults to 1. 0 if not used in load balancing. Servers with higher weight get more requests.
Example uses farmId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId}/ server \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "192.0.2.0", "backendId": 0, "backup": true, "chain": "string", "cookie": "string", "displayName": "string", "onMarkedDown": "shutdown-sessions", "port": 0, "probe": true, "proxyProtocolVersion": "v1", "serverId": 0, "serverState": [ { "checkCode": "string", "checkStatus": "string", "checkTime": "2024-01-01T12:00:00Z", "instanceId": 0, "lastCheckContent": "string", "status": "string" } ], "ssl": true, "status": "active", "weight": 0}
Get a farm serverProduction
Path parameters
Id of your farm
Id of your server
The internal name of your IP load balancing
Response
Address of your server
farm id
Backup state. Default: 'false'
Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)
Server cookie value configured for cookie stickiness
Human readable name for your server, this field is for you
Set action when backend marked down. (No action if null)
shutdown-sessionsPort attached to your server. Inherited from farm if null
Probe state. Default: 'false'
Disabled if null. Send PROXY protocol header. Requires a compatible server.
v1v2v2-sslv2-ssl-cnId of your server
Server state
SSL ciphering. Probes will also be sent ciphered. Default: 'false'
Status attached to your server
activeinactiveWeight value. Defaults to 1. 0 if not used in load balancing. Servers with higher weight get more requests.
Example uses farmId = 0, serverId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId}/ server/ {serverId} \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "192.0.2.0", "backendId": 0, "backup": true, "chain": "string", "cookie": "string", "displayName": "string", "onMarkedDown": "shutdown-sessions", "port": 0, "probe": true, "proxyProtocolVersion": "v1", "serverId": 0, "serverState": [ { "checkCode": "string", "checkStatus": "string", "checkTime": "2024-01-01T12:00:00Z", "instanceId": 0, "lastCheckContent": "string", "status": "string" } ], "ssl": true, "status": "active", "weight": 0}
Delete a farm serverProduction
Path parameters
Id of your farm
Id of your server
The internal name of your IP load balancing
Response
Example uses farmId = 0, serverId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId}/ server/ {serverId} \
-H "authorization: Bearer $OVH_TOKEN"Update a farm serverProduction
Path parameters
Id of your farm
Id of your server
The internal name of your IP load balancing
Request body (required)
Address of your server
farm id
Backup state. Default: 'false'
Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)
Server cookie value configured for cookie stickiness
Human readable name for your server, this field is for you
Set action when backend marked down. (No action if null)
shutdown-sessionsPort attached to your server. Inherited from farm if null
Probe state. Default: 'false'
Disabled if null. Send PROXY protocol header. Requires a compatible server.
v1v2v2-sslv2-ssl-cnId of your server
Server state
SSL ciphering. Probes will also be sent ciphered. Default: 'false'
Status attached to your server
activeinactiveWeight value. Defaults to 1. 0 if not used in load balancing. Servers with higher weight get more requests.
Response
Example uses farmId = 0, serverId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ http/ farm/ {farmId}/ server/ {serverId} \
-H "authorization: Bearer $OVH_TOKEN"